_Eina_List Struct Reference
Eina » Data Types » Containers » List

Type for a generic double linked list. More...

`#include <eina_list.h>`

## Data Fields

void * | data
| Pointer to list element payload.
Eina_List * | next
| Next member in the list.
Eina_List * | prev
| Previous member in the list.
Eina_List_Accounting * | accounting
| Private list accounting info - don't touch.

## Detailed Description

Type for a generic double linked list.